package com.tanpu.community.api.beans.qo;

import com.tanpu.community.api.beans.vo.ImagesDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("主题信息流对象")
public class ThemeQo implements Serializable {

    public static final long serialVersionUID = -8585648478551597699L;

    @ApiModelProperty(value = "主题ID")
    public String themeId;


    @ApiModelProperty(value = "被转发的主题")
    public String formerThemeId;

    @ApiModelProperty(value = "标题")
    public String title;

    @ApiModelProperty(value = "类型 1：讨论无标题 2：长文有标题 3：转发 4:评论")
    public Integer themeType;

    @ApiModelProperty(value = "内容")
    public List<ThemeContentQo> content;

    @ApiModelProperty(value = "作者id")
    public String authorId;

    @ApiModelProperty(value = "所属的话题")
    public String topicId;

    @ApiModelProperty(value = "话题名称")
    public String topicTitle;

    @ApiModelProperty(value = "昵称")
    public String nickName;

    @ApiModelProperty(value = "用户头像")
    public String userImg;

    @ApiModelProperty(value = "当前用户是否关注该作者")
    public boolean follow;

    @ApiModelProperty(value = "作者认证")
    public String authLabel;

    @ApiModelProperty(value = "发表时间")
    public String upToNowTime;

    @ApiModelProperty(value = "转发量")
    public Integer forwardCount;

    @ApiModelProperty(value = "评论量")
    public Integer commentCount;

    @ApiModelProperty(value = "点赞量")
    public Integer likeCount;

    @ApiModelProperty(value = "当前用户是否点赞")
    public boolean hasLiked;

    @ApiModelProperty(value = "当前用户是否转发")
    public boolean hasForward;

    @ApiModelProperty(value = "图片九宫格")
    public List<ImagesDTO> imgList;

    @ApiModelProperty(value = "转发的主题")
    public FormerThemeQo formerTheme;

    @ApiModelProperty(value = "评论Id(我的评论列表使用)")
    public String commentId;

    public Long createTime;

    public Long updateTime;

}
